---
- name: "Installation de l'agent Zabbix"
  hosts: windows
  tasks:
    - name: Copy Zabbix Agent MSI
      win_copy:
          src: /etc/ansible/windows/zabbix/zabbix_agent-5.4.3-windows-amd64-openssl.msi
          dest: C:\zabbix_agent-5.4.3-windows-amd64-openssl.msi
    - name: Copy Zabbix Agent SCRIPT
      win_copy:
          src: /etc/ansible/windows/zabbix/zabbix.cmd
          dest: C:\zabbix.cmd
    - name: Install Zabbix Agent
      win_command: cmd.exe -
      args:
          stdin: C:\zabbix.cmd
    - name: Delete Zabbix Agent MSI
      win_file:
          path: C:\zabbix_agent-5.4.3-windows-amd64-openssl.msi
          state: absent
    - name: Delete Zabbix Agent SCRIPT
      win_file:
          path: C:\zabbix.cmd
          state: absent

